FROM nvidia/opengl:1.2-glvnd-devel

ARG ROBOVIZ_RELEASE=1.7.0

ENV NVIDIA_DRIVER_CAPABILITIES ${NVIDIA_DRIVER_CAPABILITIES},display

RUN buildDeps='rsync openjdk-8-jdk git'; \
    apt-get update \
    && DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends openjdk-8-jre \
    && DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends $buildDeps \
    && git clone --branch $ROBOVIZ_RELEASE --depth 1 https://github.com/magmaOffenburg/RoboViz.git /tmp/RoboViz \
    && cd /tmp/RoboViz/scripts \
    && chmod +x ../gradlew \
    && ./build.sh \
    && mv ../bin /roboviz \
    && cd / \
    && rm -r /tmp/RoboViz \
    && apt-get purge -y --auto-remove $buildDeps && rm -rf /var/lib/apt/lists/*
    
ENTRYPOINT ["/roboviz/roboviz.sh"]
